Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class ComponentUrlProvider

    java.lang.Object
      org.apache.struts2.components.ComponentUrlProvider

All Implemented Interfaces:
  UrlProvider

    public class ComponentUrlProvider

extends java.lang.Object
implements UrlProvider

Default implementation of UrlProvider

Field Summary
`protected java.lang.String` | `action`
`protected java.lang.String` | `anchor`
`protected Component` | `component`
`protected boolean` | `encode`
`protected boolean` | `escapeAmp`
`protected ExtraParameterProvider` | `extraParameterProvider`
`protected boolean` | `forceAddSchemeHostAndPort`
`protected javax.servlet.http.HttpServletRequest` | `httpServletRequest`
`protected javax.servlet.http.HttpServletResponse` | `httpServletResponse`
`protected boolean` | `includeContext`
`protected java.lang.String` | `includeParams`
`protected java.lang.String` | `method`
`protected java.lang.String` | `namespace`
`protected java.lang.String` | `portletMode`
`protected java.lang.String` | `portletUrlType`
`protected java.lang.String` | `scheme`
`protected java.lang.String` | `urlIncludeParams`
`protected UrlRenderer` | `urlRenderer`
`protected java.lang.String` | `value`
`protected java.lang.String` | `windowState`

Fields inherited from interface org.apache.struts2.components.UrlProvider
`ALL, GET, NONE`

Constructor Summary
`ComponentUrlProvider(Component component, java.util.Map parameters)`

Method Summary
`java.lang.String` | `determineActionURL(java.lang.String action, java.lang.String namespace, java.lang.String method, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, java.util.Map parameters, java.lang.String scheme, boolean includeContext, boolean encodeResult, boolean forceAddSchemeHostAndPort, boolean escapeAmp)`
`java.lang.String` | `determineNamespace(java.lang.String namespace, ValueStack stack, javax.servlet.http.HttpServletRequest req)`
`java.lang.String` | `findString(java.lang.String expr)`
`java.lang.String` | `getAction()`
`java.lang.String` | `getAnchor()`
`ExtraParameterProvider` | `getExtraParameterProvider()`
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()`
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse()`
`java.lang.String` | `getIncludeParams()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getNamespace()`
`java.util.Map` | `getParameters()`
`java.lang.String` | `getPortletMode()`
`java.lang.String` | `getPortletUrlType()`
`java.lang.String` | `getScheme()`
`ValueStack` | `getStack()`
`java.lang.String` | `getUrlIncludeParams()`
`UrlRenderer` | `getUrlRenderer()`
`java.lang.String` | `getValue()`
`java.lang.String` | `getVar()`
`java.lang.String` | `getWindowState()`
`boolean` | `isEncode()`
`boolean` | `isEscapeAmp()`
`boolean` | `isForceAddSchemeHostAndPort()`
`boolean` | `isIncludeContext()`
`boolean` | `isPutInContext()`
`void` | `putInContext(java.lang.String result)`
`void` | `setAction(java.lang.String action)`
`void` | `setAnchor(java.lang.String anchor)`
`void` | `setEncode(boolean encode)`
`void` | `setEscapeAmp(boolean escapeAmp)`
`void` | `setExtraParameterProvider(ExtraParameterProvider extraParameterProvider)`
`void` | `setForceAddSchemeHostAndPort(boolean forceAddSchemeHostAndPort)`
`void` | `setHttpServletRequest(javax.servlet.http.HttpServletRequest httpServletRequest)`
`void` | `setHttpServletResponse(javax.servlet.http.HttpServletResponse httpServletResponse)`
`void` | `setIncludeContext(boolean includeContext)`
`void` | `setIncludeParams(java.lang.String includeParams)`
`void` | `setMethod(java.lang.String method)`
`void` | `setNamespace(java.lang.String namespace)`
`void` | `setPortletMode(java.lang.String portletMode)`
`void` | `setPortletUrlType(java.lang.String portletUrlType)`
`void` | `setScheme(java.lang.String scheme)`
`void` | `setUrlIncludeParams(java.lang.String urlIncludeParams)`
`void` | `setUrlRenderer(UrlRenderer urlRenderer)`
`void` | `setValue(java.lang.String value)`
`void` | `setWindowState(java.lang.String windowState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### httpServletRequest

    protected javax.servlet.http.HttpServletRequest httpServletRequest

### httpServletResponse

    protected javax.servlet.http.HttpServletResponse httpServletResponse

### includeParams

    protected java.lang.String includeParams

### scheme

    protected java.lang.String scheme

### value

    protected java.lang.String value

### action

    protected java.lang.String action

### namespace

    protected java.lang.String namespace

### method

    protected java.lang.String method

### encode

    protected boolean encode

### includeContext

    protected boolean includeContext

### escapeAmp

    protected boolean escapeAmp

### portletMode

    protected java.lang.String portletMode

### windowState

    protected java.lang.String windowState

### portletUrlType

    protected java.lang.String portletUrlType

### anchor

    protected java.lang.String anchor

### forceAddSchemeHostAndPort

    protected boolean forceAddSchemeHostAndPort

### urlIncludeParams

    protected java.lang.String urlIncludeParams

### extraParameterProvider

    protected ExtraParameterProvider extraParameterProvider

### urlRenderer

    protected UrlRenderer urlRenderer

### component

    protected Component component

Constructor Detail

### ComponentUrlProvider

    public ComponentUrlProvider(Component component,
                                java.util.Map parameters)

Parameters:
  `component` - The component used to delagete some calls to
  `parameters` - parameters passed from

Method Detail

### determineActionURL

    public java.lang.String determineActionURL(java.lang.String action,
                                               java.lang.String namespace,
                                               java.lang.String method,
                                               javax.servlet.http.HttpServletRequest req,
                                               javax.servlet.http.HttpServletResponse res,
                                               java.util.Map parameters,
                                               java.lang.String scheme,
                                               boolean includeContext,
                                               boolean encodeResult,
                                               boolean forceAddSchemeHostAndPort,
                                               boolean escapeAmp)

  Specified by:
    `determineActionURL` in interface `UrlProvider`

### determineNamespace

    public java.lang.String determineNamespace(java.lang.String namespace,
                                               ValueStack stack,
                                               javax.servlet.http.HttpServletRequest req)

  Specified by:
    `determineNamespace` in interface `UrlProvider`

### findString

    public java.lang.String findString(java.lang.String expr)

  Specified by:
    `findString` in interface `UrlProvider`

### getParameters

    public java.util.Map getParameters()

  Specified by:
    `getParameters` in interface `UrlProvider`

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

  Specified by:
    `getHttpServletRequest` in interface `UrlProvider`

### setHttpServletRequest

    public void setHttpServletRequest(javax.servlet.http.HttpServletRequest httpServletRequest)

  Specified by:
    `setHttpServletRequest` in interface `UrlProvider`

### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse()

  Specified by:
    `getHttpServletResponse` in interface `UrlProvider`

### setHttpServletResponse

    public void setHttpServletResponse(javax.servlet.http.HttpServletResponse httpServletResponse)

  Specified by:
    `setHttpServletResponse` in interface `UrlProvider`

### getIncludeParams

    public java.lang.String getIncludeParams()

  Specified by:
    `getIncludeParams` in interface `UrlProvider`

### setIncludeParams

    public void setIncludeParams(java.lang.String includeParams)

  Specified by:
    `setIncludeParams` in interface `UrlProvider`

### getScheme

    public java.lang.String getScheme()

  Specified by:
    `getScheme` in interface `UrlProvider`

### setScheme

    public void setScheme(java.lang.String scheme)

  Specified by:
    `setScheme` in interface `UrlProvider`

### isPutInContext

    public boolean isPutInContext()

  Specified by:
    `isPutInContext` in interface `UrlProvider`

### getVar

    public java.lang.String getVar()

  Specified by:
    `getVar` in interface `UrlProvider`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `UrlProvider`

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    `setValue` in interface `UrlProvider`

### getAction

    public java.lang.String getAction()

  Specified by:
    `getAction` in interface `UrlProvider`

### setAction

    public void setAction(java.lang.String action)

  Specified by:
    `setAction` in interface `UrlProvider`

### getNamespace

    public java.lang.String getNamespace()

  Specified by:
    `getNamespace` in interface `UrlProvider`

### setNamespace

    public void setNamespace(java.lang.String namespace)

  Specified by:
    `setNamespace` in interface `UrlProvider`

### getMethod

    public java.lang.String getMethod()

  Specified by:
    `getMethod` in interface `UrlProvider`

### setMethod

    public void setMethod(java.lang.String method)

  Specified by:
    `setMethod` in interface `UrlProvider`

### isEncode

    public boolean isEncode()

  Specified by:
    `isEncode` in interface `UrlProvider`

### setEncode

    public void setEncode(boolean encode)

  Specified by:
    `setEncode` in interface `UrlProvider`

### isIncludeContext

    public boolean isIncludeContext()

  Specified by:
    `isIncludeContext` in interface `UrlProvider`

### setIncludeContext

    public void setIncludeContext(boolean includeContext)

  Specified by:
    `setIncludeContext` in interface `UrlProvider`

### isEscapeAmp

    public boolean isEscapeAmp()

  Specified by:
    `isEscapeAmp` in interface `UrlProvider`

### setEscapeAmp

    public void setEscapeAmp(boolean escapeAmp)

  Specified by:
    `setEscapeAmp` in interface `UrlProvider`

### getPortletMode

    public java.lang.String getPortletMode()

  Specified by:
    `getPortletMode` in interface `UrlProvider`

### setPortletMode

    public void setPortletMode(java.lang.String portletMode)

  Specified by:
    `setPortletMode` in interface `UrlProvider`

### getWindowState

    public java.lang.String getWindowState()

  Specified by:
    `getWindowState` in interface `UrlProvider`

### setWindowState

    public void setWindowState(java.lang.String windowState)

  Specified by:
    `setWindowState` in interface `UrlProvider`

### getPortletUrlType

    public java.lang.String getPortletUrlType()

  Specified by:
    `getPortletUrlType` in interface `UrlProvider`

### getStack

    public ValueStack getStack()

  Specified by:
    `getStack` in interface `UrlProvider`

### setPortletUrlType

    public void setPortletUrlType(java.lang.String portletUrlType)

  Specified by:
    `setPortletUrlType` in interface `UrlProvider`

### getAnchor

    public java.lang.String getAnchor()

  Specified by:
    `getAnchor` in interface `UrlProvider`

### setAnchor

    public void setAnchor(java.lang.String anchor)

  Specified by:
    `setAnchor` in interface `UrlProvider`

### isForceAddSchemeHostAndPort

    public boolean isForceAddSchemeHostAndPort()

  Specified by:
    `isForceAddSchemeHostAndPort` in interface `UrlProvider`

### setForceAddSchemeHostAndPort

    public void setForceAddSchemeHostAndPort(boolean forceAddSchemeHostAndPort)

  Specified by:
    `setForceAddSchemeHostAndPort` in interface `UrlProvider`

### putInContext

    public void putInContext(java.lang.String result)

  Specified by:
    `putInContext` in interface `UrlProvider`

### getUrlIncludeParams

    public java.lang.String getUrlIncludeParams()

  Specified by:
    `getUrlIncludeParams` in interface `UrlProvider`

### setUrlIncludeParams

    public void setUrlIncludeParams(java.lang.String urlIncludeParams)

  Specified by:
    `setUrlIncludeParams` in interface `UrlProvider`

### getExtraParameterProvider

    public ExtraParameterProvider getExtraParameterProvider()

  Specified by:
    `getExtraParameterProvider` in interface `UrlProvider`

### setExtraParameterProvider

    public void setExtraParameterProvider(ExtraParameterProvider extraParameterProvider)

  Specified by:
    `setExtraParameterProvider` in interface `UrlProvider`

### getUrlRenderer

    public UrlRenderer getUrlRenderer()

### setUrlRenderer

    public void setUrlRenderer(UrlRenderer urlRenderer)

  Specified by:
    `setUrlRenderer` in interface `UrlProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.